#! /bin/bash

if [ $# -ne 1 ]; then       
       echo "Please provide eeprom file"
       exit 1
else
       eeprom_file=$1

fi

if [ ! -e $eeprom_file ]; then
       echo "EEPROM file is invalid"
       exit 1
fi

eeprom_settings=`cat $eeprom_file  | awk '{print $1}' | cut -d 'x' -f2 | awk '{ printf("%s ", $0) }'`
eeprom_settings_dec=`./hex2dec.sh $eeprom_settings`
echo $eeprom_settings_dec
