# obiwan DSP configuration
#
# Mode:       RING
# IOConfig:   any
# OutVolume:  any

DSP_ACV_RX # OFF
0x0018     # Startup|Reset
0xDEAF     # Volume
0xDEAF     # mode
0xDEAF     # gain_fal
0xDEAF     # gain_ris
0xDEAF     # min_gain
0xDEAF     # max_gain
0xDEAF     # LL_REF
0xDEAF     # ON_TH
0xDEAF     # OFF_TH
0xDEAF     # TIME_ON_TH
0xDEAF     # TIME_OFF_TH
0xDEAF     # DELAY_ON
0xDEAF     # DELAY_OFF
0xDEAF     # CNT_ON_TH
0xDEAF     # CNT_OFF_TH

DSP_ACV_TX # OFF
0x0018     # Startup|Reset
0x1000     # Volume
0xDEAF     # mode
0xDEAF     # gain_fal
0xDEAF     # gain_ris
0xDEAF     # min_gain
0xDEAF     # max_gain
0xDEAF     # LL_REF
0xDEAF     # ON_TH
0xDEAF     # OFF_TH
0xDEAF     # TIME_ON_TH
0xDEAF     # TIME_OFF_TH
0xDEAF     # DELAY_ON
0xDEAF     # DELAY_OFF
0xDEAF     # CNT_ON_TH
0xDEAF     # CNT_OFF_TH

DSP_SU4_MEL1
0x0014     # Reset|Run
0x0800     # VOL0

DSP_RMP_MEL1   # RMP off
0x0018     # Startup|Reset
0xDEAF     # fade_in_factor
0xDEAF     # gain_threashold

DSP_SU1_RX   # Speech/Melody mixer
0x0014     # Reset|Run
0x0000     # VOL0 muted
0x0800     # VOL1 = 0dB
0x0800     # VOL2 = 0dB
0x0000     # VOL3 muted

DSP_HPF_RX 
0x0014     # Reset|Run
0x722C     # c1
0xF1328000 # c2
0xA45D     # c3
0x2000     # ki
0x2000     # ko

DSP_HPF_TX
0x0000     # OFF
0x722C     # c1
0xF1328000 # c2
0xA45D     # c3
0x2000     # ki
0x2000     # ko

DSP_EQU_TX
0x0000     # OFF
0xDEAF     # NB
0xDEAF     # ESCL_0
0xDEAF     # MSCL_0
0xDEAF     # B12
0xDEAF     # B11
0xDEAF     # B10
0xDEAF     # A12
0xDEAF     # A11
0xDEAF     # B22
0xDEAF     # B21
0xDEAF     # B20
0xDEAF     # A22
0xDEAF     # A21
0xDEAF     # B32
0xDEAF     # B31
0xDEAF     # B30
0xDEAF     # A32
0xDEAF     # A31
0xDEAF     # B42
0xDEAF     # B41
0xDEAF     # B40
0xDEAF     # A42
0xDEAF     # A41

DSP_DBL    # DBL OFF
0x0018     # Startup|Reset
0xDEAF     # VOL24RI
0xDEAF     # VOL24SI
0xDEAF     # E_RI_MX
0xDEAF     # E_SI_MX
0xDEAF     # AC_TH
0xDEAF     # SNR
0xDEAF     # ATT_RF
0xDEAF     # ATT_FF
0xDEAF     # ATT_RS
0xDEAF     # ATT_FS
0xDEAF     # ATT_MN
0xDEAF     # ATT_MX
0xDEAF     # ATT_RI_IDLE
0xDEAF     # ATT_SI_IDLE

DSP_SU3_SIT # OFF
0x0018     # Startup|Reset
0xDEAF     # VOL0
0xDEAF     # VOL1


AIC14_ADGAIN
40  # gain emission =-2dB (0x28)

AIC14_DAGAIN
42  # gain reception =+0dB (0x2A)

AIC14_DSTG
7    # Digital sidetone gain=Mute

AMPLI
1
