#!/bin/sh

case $1 in
   #xxxxxxxxxxxxxxxxxxxxxxxx
   clear)
      echo " clear files"      
      /upgrade/current/patch1.sh clear
      /upgrade/current/patch2.sh clear
      /upgrade/current/patch3.sh clear
      /upgrade/current/patch4.sh clear
      /upgrade/current/patch5.sh clear
      /upgrade/current/patch6.sh clear
   ;;

   #xxxxxxxxxxxxxxxxxxxxxxxx
   restore)
      echo " restore old version"
      /upgrade/current/patch1.sh restore
      /upgrade/current/patch2.sh restore
      /upgrade/current/patch3.sh restore
      /upgrade/current/patch4.sh restore
      /upgrade/current/patch5.sh restore
      /upgrade/current/patch6.sh restore
   ;;

   #xxxxxxxxxxxxxxxxxxxxxxxx
   update)
      echo " update current version"
      
      echo 1 > /upgrade/pack.txt
      /upgrade/patch1.sh update
      
      echo 2 > /upgrade/pack.txt
      /upgrade/patch2.sh update
      
      echo 3 > /upgrade/pack.txt
      /upgrade/patch3.sh update
      
      echo 4 > /upgrade/pack.txt
      /upgrade/patch4.sh update
      
      echo 5 > /upgrade/pack.txt
      /upgrade/patch5.sh update
      
      echo 6 > /upgrade/pack.txt
      /upgrade/patch6.sh update
   ;;

esac

echo ""
echo "END"
echo "# ======================================================================="
echo ""
